Get data source by ID
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId} \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSource": {
"id": "abc123",
"aclObject": "jkl789",
"name": "My data source",
"lastUpdatedTime": "2024-01-17T11:46:13.481826Z",
"version": 3,
"type": "CSV",
"columnsMetadata": [
{
"name": "fullname",
"type": {
"name": "STRING"
}
},
{
"name": "dob",
"type": {
"name": "DATE",
"format": "iso8601"
}
},
{
"name": "admin",
"type": {
"name": "BOOLEAN"
}
},
{
"name": "retryLimit",
"type": {
"name": "INTEGER"
}
}
],
"state": "ENABLED",
"links": {
"self": "/v1/data-sources/abc123",
"acl": "/v1/data-sources/abc123/acl{?subjectId}"
}
}
}Data sources
Get data source by ID
GET
/
v1
/
data-sources
/
{dataSourceId}
Get data source by ID
Path Parameters
Query Parameters
Optionally request a view of the data source's row data. If omitted, no rows will be returned in the response.
preview- Returns the first few rows of data contained in the data source.none- Returns no rows.
Available options:
none, preview Response
Success
- CSV
- Database
Show child attributes
Show child attributes
⌘I